Subject: Re: bug#74910: 3 Warnings or Errors after starting up Emacs 29.4

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Dec 2024 13:34:38 +0200

> Cc: [email-masked]
> Date: Mon, 16 Dec 2024 19:09:45 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > Date: Mon, 16 Dec 2024 11:39:34 +0000 (UTC)
> > From:  Andrew Goh via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> > 
> > I get these three warnings after starting Emacs 29.4
> > 
> > a.  Fatal error: no compiled in support for x86-64
> > b.  C:\Program Files\Emacs\emacs-29.4\bin\libgccjit-0.dll: error invoking gcc driver
> > c.  C:/Program Files/Emacs/emacs29.4/share/emacs/29.4/lisp/emacs-lisp/cl.seq-el Error: Internal native
> > compiler error familed to compile
> > 
> > I hope these errors are fixed, and that it Emacs can auto update without the need to run package-update-all
> > which shows how green I am with Emacs.
> 
> Sounds like you have a mix of 32-bit and 64-bit development tools, and
> that causes the problem.  Like, if your libgccjit is 64-bi, but
> Binutils are for 32 bits.
> 
> IOW, this is a configuration problem local to your system, not an
> Emacs bug.

No further comments in 2 weeks, so I'm now closing this bug.